org.jboss.jca.core.tx.jbossts

## Class ConnectableXAResourceWrapperStatImpl

- java.lang.Object
- - org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl
  - - org.jboss.jca.core.tx.jbossts.XAResourceWrapperStatImpl
    - - org.jboss.jca.core.tx.jbossts.ConnectableXAResourceWrapperStatImpl

- All Implemented Interfaces:
    javax.transaction.xa.XAResource, org.jboss.tm.ConnectableResource, org.jboss.tm.XAResourceWrapper
  Direct Known Subclasses:
    FirstResourceConnectableXAResourceWrapperStatImpl

      public class ConnectableXAResourceWrapperStatImpl
      extends XAResourceWrapperStatImpl
      implements org.jboss.jca.core.spi.transaction.ConnectableResource, org.jboss.tm.ConnectableResource

  A connectable XAResourceWrapper with statistics
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from interface javax.transaction.xa.XAResource

      `TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectableXAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.jca.core.spi.transaction.ConnectableResource cr, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Creates a new wrapper instance.
    `ConnectableXAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.tm.ConnectableResource cr, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Creates a new wrapper instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `java.lang.Object` | `getConnection()` Get a connection from the resource
    `int` | `hashCode()`
    `void` | `setConnectableResourceListener(org.jboss.jca.core.spi.transaction.ConnectableResourceListener crl)` Set connectable resource listener

    - ### Methods inherited from class org.jboss.jca.core.tx.jbossts.XAResourceWrapperStatImpl

      `commit, end, forget, prepare, recover, rollback, start`

    - ### Methods inherited from class org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl

      `getJndiName, getProductName, getProductVersion, getResource, getTransactionTimeout, isSameRM, setTransactionTimeout, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectableXAResourceWrapperStatImpl

          public ConnectableXAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource,
                                                      boolean pad,
                                                      java.lang.Boolean override,
                                                      java.lang.String productName,
                                                      java.lang.String productVersion,
                                                      java.lang.String jndiName,
                                                      org.jboss.jca.core.spi.transaction.ConnectableResource cr,
                                                      org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Creates a new wrapper instance.
      Parameters:
        `resource` - xaresource
        `pad` - pad
        `override` - override
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `cr` - connectable resource
        `xastat` - The statistics

    - #### ConnectableXAResourceWrapperStatImpl

          public ConnectableXAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource,
                                                      boolean pad,
                                                      java.lang.Boolean override,
                                                      java.lang.String productName,
                                                      java.lang.String productVersion,
                                                      java.lang.String jndiName,
                                                      org.jboss.tm.ConnectableResource cr,
                                                      org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Creates a new wrapper instance.
      Parameters:
        `resource` - xaresource
        `pad` - pad
        `override` - override
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `cr` - connectable resource
        `xastat` - The statistics

  - ### Method Detail

    - #### getConnection

          public java.lang.Object getConnection()
                                         throws java.lang.Exception

      Get a connection from the resource
      Specified by:
        `getConnection` in interface `org.jboss.tm.ConnectableResource`
      Returns:
        The connection
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### setConnectableResourceListener

          public void setConnectableResourceListener(org.jboss.jca.core.spi.transaction.ConnectableResourceListener crl)

      Set connectable resource listener
      Parameters:
        `crl` - The connectable resource listener

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `XAResourceWrapperImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `XAResourceWrapperImpl`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)